using System;

namespace PRAVIfrilancer
{
    class Program
    {
        static void Main(string[] args)
        {

            int n = int.Parse(Console.ReadLine());
            double[] plata = new double[n];
            double[] porez = new double[n];
            double[] kasa = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split(" ");
                plata[i] = double.Parse(s[0]);
                porez[i] = double.Parse(s[1]);
            }
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < n; j++)
                {
                    if (porez[j] >= porez[i])
                    {
                        kasa[i] += porez[i] * plata[j]/100;
                    }
                }
            }
            double max = kasa[0];
            for (int i = 0; i < n; i++)
            {
                if (max < kasa[i])
                {
                    double p = max;
                    max = kasa[i];
                    kasa[i] = p;
                }
            }
            Console.WriteLine(max);

        }
    }
}